package com.jeecms.cms;

/**
 * CMS常量
 * 
 * @author liufang
 * 
 */
public class Constants {
	/**
	 * 首页模板
	 */
	public static final String TPLDIR_INDEX = "index";
	/**
	 * 栏目页模板
	 */
	public static final String TPLDIR_CHANNEL = "channel";
	/**
	 * 内容页模板
	 */
	public static final String TPLDIR_CONTENT = "content";
	/**
	 * 企业内容页蓝色模板
	 */
	public static final String TPLDIR_CONTENT_COMAPNY_BLUE = "content/company/blue";
	/**
	 * 餐厅内容页蓝色模板
	 */
	public static final String TPLDIR_CONTENT_EATERY_BLUE = "content/eatery/blue";
	/**
	 * 单页模板
	 */
	public static final String TPLDIR_ALONE = "alone";
	/**
	 * 专题模板
	 */
	public static final String TPLDIR_TOPIC = "topic";
	/**
	 * 会员中心模板
	 */
	public static final String TPLDIR_MEMBER = "member";
	/**
	 * 专用模板
	 */
	public static final String TPLDIR_SPECIAL = "special";
	/**
	 * 公用模板
	 */
	public static final String TPLDIR_COMMON = "common";
	/**
	 * 客户端包含模板
	 */
	public static final String TPLDIR_CSI = "csi";
	/**
	 * 客户端包含用户自定义模板
	 */
	public static final String TPLDIR_CSI_CUSTOM = "csi_custom";
	/**
	 * 服务器端包含模板
	 */
	public static final String TPLDIR_SSI = "ssi";
	/**
	 * 标签模板
	 */
	public static final String TPLDIR_TAG = "tag";
	/**
	 * 评论模板
	 */
	public static final String TPLDIR_COMMENT = "comment";
	/**
	 * 留言模板
	 */
	public static final String TPLDIR_GUESTBOOK = "guestbook";
	/**
	 * 站内信模板
	 */
	public static final String TPLDIR_MESSAGE = "message";
	/**
	 * 列表样式模板
	 */
	public static final String TPLDIR_STYLE_LIST = "style_list";
	/**
	 * 列表样式模板
	 */
	public static final String TPLDIR_STYLE_PAGE = "style_page";

	/**
	 * 模板后缀
	 */
	public static final String TPL_SUFFIX = ".html";

	/**
	 * 上传路径
	 */
	public static final String UPLOAD_PATH = "/u/cms/";
	/**
	 * 资源路径
	 */
	public static final String RES_PATH = "/r/cms";
	/**
	 * 模板路径
	 */
	public static final String TPL_BASE = "/WEB-INF/t/cms";
	/**
	 * 全文检索索引路径
	 */
	public static final String LUCENE_PATH = "/WEB-INF/lucene";
	/**
	 * 列表样式模板路径
	 */
	public static final String TPL_STYLE_LIST = "/WEB-INF/t/cms_sys_defined/style_list/style_";
	/**
	 * 内容分页模板路径
	 */
	public static final String TPL_STYLE_PAGE_CONTENT = "/WEB-INF/t/cms_sys_defined/style_page/content_";
	/**
	 * 列表分页模板路径
	 */
	public static final String TPL_STYLE_PAGE_CHANNEL = "/WEB-INF/t/cms_sys_defined/style_page/channel_";
	/**
	 * 页面禁止访问
	 */
	public static final String ERROR_403 = "error/403";
	/**
	 * 网络收集
	 */
	public static final String CONTENT_ORIGIN_WEB = "网络收集";
	/**
	 * 文章类型
	 */
	public static final Integer COMMON_TYPE_ARTICLE = 6;
	/**
	 * 商机类型
	 */
	public static final Integer COMMON_TYPE_CHANGE = 93;
	/**
	 * 产品频道
	 */
	public static final Integer CHANNEL_PROD = 48;
	public static final String CHANNEL_PROD_NAME = "产品";
	/**
	 * 人才频道
	 */
	public static final Integer CHANNEL_PERSON = 461;
	public static final String CHANNEL_PERSON_NAME = "人才";
	/**
	 * 招聘频道
	 */
	public static final Integer CHANNEL_JOB = 462;
	public static final String CHANNEL_JOB_NAME = "招聘";
	/**
	 * 企业频道
	 */
	public static final Integer CHANNEL_COMPANY = 60;
	public static final String CHANNEL_COMPANY_NAME = "企业";
	/**
	 * 餐厅频道
	 */
	public static final Integer CHANNEL_DINING = 61;
	public static final String CHANNEL_DINING_NAME = "餐厅";
	/**
	 * 商机频道
	 */
	public static final Integer CHANNEL_CHANCE = 63;
	public static final String CHANNEL_CHANCE_NAME = "商机";
	/**
	 * 资讯频道
	 */
	public static final Integer CHANNEL_INFO = 1;
	public static final String CHANNEL_INFO_NAME = "资讯";
	/**
	 * 菜谱频道
	 */
	public static final Integer CHANNEL_CARTE = 58;
	public static final String CHANNEL_CARTE_NAME = "菜谱";
	/**
	 * 企业用户 用户组ID 4
	 */
	public static final int GROUP_COMPANY = 4;
	/**
	 * 餐饮企业 用户组ID 5
	 */
	public static final int GROUP_DINING = 5;
	/**
	 * 个人用户 用户组ID 1
	 */
	public static final int GROUP_PERSON = 1;
	/**图文*/
	public static final Integer PHOTO_TYPE_ID = 2;
	public static final String LIST_KEY = "listKey";
	public static final String LAST_ID_KEY = "lastIdKey";
	
	
	
}
