package com.jeecms.cms.action.directive.abs;

import org.springframework.beans.factory.annotation.Autowired;

import com.jeecms.cms.manager.main.CommonTypeMng;

import freemarker.template.TemplateDirectiveModel;

/**
 * 内容类型标签基类
 * 
 * @author javacoo
 * @since 2011-12-15
 */
public abstract class AbstractCommonTypeDirective implements
		TemplateDirectiveModel {
	/**
	 * 输入参数，父类型ID。存在时，获取该类型的子类型，不存在时获取顶级类型。
	 */
	public static final String PARAM_PARENT_ID = "parentId";
	/**
	 * 输入参数，站点ID。存在时，获取该站点顶级类型，不存在时获取当前站点顶级类型。（仅在parentId不存在时起作用）
	 */
	public static final String PARAM_SITE_ID = "siteId";
	

	@Autowired
	protected CommonTypeMng commonTypeMng;
}
