package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_CONTENT_COMAPNY_BLUE;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.entity.main.Content;
import com.jeecms.cms.manager.main.ContentMng;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 内容列表搜索
 * @author javacoo
 * @since 2011-12-15
 */
@Controller
public class CompanyContentAct {
	private static final Logger log = LoggerFactory.getLogger(ContentSearchAct.class);

	public static final String COMPANY_RESULT = "tpl.company_content_index";

	@RequestMapping(value = "/companyContent*.jspx", method = RequestMethod.GET)
	public String index(HttpServletRequest request,
			HttpServletResponse response, ModelMap model) {
		CmsSite site = CmsUtils.getSite(request);
		// 将request中所有参数保存至model中。
		String contentId = RequestUtils.getQueryParam(request, "contentId");
		String type = RequestUtils.getQueryParam(request, "type");
		if(!StringUtils.isBlank(contentId) && !StringUtils.isBlank(type)){
			Content content = contentMng.findById(Integer.valueOf(contentId));
			if(null != content){
				model.addAttribute("content", content);
			}else{
				return FrontUtils.showMessage(request, model, "member.noPermissions");
			}
		}else{
			return FrontUtils.showMessage(request, model, "member.noPermissions");
		}
		model.putAll(RequestUtils.getQueryParams(request));
		FrontUtils.frontData(request, model, site);
		FrontUtils.frontPageData(request, model);
	
		return FrontUtils.getTplPath(request, site.getSolutionPath(),
				TPLDIR_CONTENT_COMAPNY_BLUE, COMPANY_RESULT);
	}
	
	@Autowired
	private ContentMng contentMng;
}
