package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_CSI;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 最新图文
 * @author javacoo
 * @since 2012-2-7
 */
@Controller
public class ContentPhotoAct {
	private static final Logger log = LoggerFactory.getLogger(ContentPhotoAct.class);

	public static final String CONTENT_PHOTO_LIST = "tpl.contentPhotoList";

	@RequestMapping(value = "/contentPhoto.jspx")
	public String index(HttpServletRequest request,
			HttpServletResponse response, ModelMap model) {
		CmsSite site = CmsUtils.getSite(request);
		// 将request中所有参数保存至model中。
		model.putAll(RequestUtils.getQueryParams(request));
		FrontUtils.frontData(request, model, site);
		FrontUtils.frontPageData(request, model);
		String count = RequestUtils.getQueryParam(request, "count");
		String channelId = RequestUtils.getQueryParam(request, "channelId");
		if (StringUtils.isBlank(count) && StringUtils.isBlank(channelId)) {
			model.remove("count");
			model.remove("channelId");
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_CSI, CONTENT_PHOTO_LIST);
		} else {
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_CSI, CONTENT_PHOTO_LIST);
		}
	}
	
}
