package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_CSI;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.entity.main.Content;
import com.jeecms.cms.manager.main.ContentMng;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 滚动内容
 * @author javacoo
 * @since 2011-11-16
 */
@Controller
public class ContentRollAct {
	private static final Logger log = LoggerFactory.getLogger(ContentRollAct.class);

	public static final String CONTENT_ROLL_LIST = "tpl.contentRollList";

	@RequestMapping(value = "/content_roll_list.jspx")
	public String list(Integer siteId, String channelId, Integer greatTo,
			Integer recommend, Integer checked, Integer orderBy, Integer count,
			HttpServletRequest request, HttpServletResponse response,
			ModelMap model) {
		if (count == null || count <= 0 || count > 200) {
			count = 200;
		}
		boolean rec;
		if (recommend == null || recommend == 0) {
			rec = false;
		} else {
			rec = true;
		}
		Boolean chk;
		if (checked != null) {
			chk = checked != 0;
		} else {
			chk = null;
		}
		List<Content> list = contentMng.getListByChannelIdsForTag(getIntArray(channelId), null, null, null, null, orderBy, 1, 0, count);
		// 将request中所有参数
		model.putAll(RequestUtils.getQueryParams(request));
		model.addAttribute("list", list);
		CmsSite site = CmsUtils.getSite(request);
		FrontUtils.frontData(request, model, site);
		return FrontUtils.getTplPath(request, site.getSolutionPath(),
				TPLDIR_CSI, CONTENT_ROLL_LIST);
	}
	private static Integer[] getIntArray(String str){
		if (StringUtils.isBlank(str)) {
			return null;
		}
		String[] arr = StringUtils.split(str, ',');
		Integer[] ids = new Integer[arr.length];
		int i = 0;
		for (String s : arr) {
			ids[i++] = Integer.valueOf(s);
		}
		return ids;
	}
	@Autowired
	private ContentMng contentMng;
	
}
