package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_SPECIAL;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 内容列表搜索
 * @author javacoo
 * @since 2011-12-15
 */
@Controller
public class ContentSearchAct {
	private static final Logger log = LoggerFactory.getLogger(ContentSearchAct.class);

	public static final String SEARCH_INPUT = "tpl.contentSearchInput";
	public static final String SEARCH_RESULT = "tpl.contentSearchResult";

	@RequestMapping(value = "/contentSearch*.jspx", method = RequestMethod.GET)
	public String index(HttpServletRequest request,
			HttpServletResponse response, ModelMap model) {
		CmsSite site = CmsUtils.getSite(request);
		// 将request中所有参数保存至model中。
		model.putAll(RequestUtils.getQueryParams(request));
		FrontUtils.frontData(request, model, site);
		FrontUtils.frontPageData(request, model);
		String orderBy = RequestUtils.getQueryParam(request, "orderBy");
		String channelId = RequestUtils.getQueryParam(request, "channelId");
		if (StringUtils.isBlank(orderBy) && StringUtils.isBlank(channelId)) {
			model.remove("orderBy");
			model.remove("channelId");
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_SPECIAL, SEARCH_INPUT);
		} else {
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_SPECIAL, SEARCH_RESULT);
		}
	}
}
