package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_CSI;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 排行旁内容
 * @author javacoo
 * @since 2011-11-16
 */
@Controller
public class ContentTabAct {
	private static final Logger log = LoggerFactory.getLogger(ContentTabAct.class);

	public static final String CONTENT_TAB_LIST = "tpl.contentTabList";

	@RequestMapping(value = "/contentTab.jspx")
	public String index(HttpServletRequest request,
			HttpServletResponse response, ModelMap model) {
		CmsSite site = CmsUtils.getSite(request);
		// 将request中所有参数保存至model中。
		model.putAll(RequestUtils.getQueryParams(request));
		FrontUtils.frontData(request, model, site);
		FrontUtils.frontPageData(request, model);
		String title = RequestUtils.getQueryParam(request, "title");
		String channelId = RequestUtils.getQueryParam(request, "channelId");
		if (StringUtils.isBlank(title) && StringUtils.isBlank(channelId)) {
			model.remove("title");
			model.remove("channelId");
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_CSI, CONTENT_TAB_LIST);
		} else {
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_CSI, CONTENT_TAB_LIST);
		}
	}
	
}
