package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_CSI;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 相关TAG
 * @author javacoo
 * @since 2012-2-7
 */
@Controller
public class ContentTagAct {
	private static final Logger log = LoggerFactory.getLogger(ContentTagAct.class);

	public static final String CONTENT_TAG_LIST = "tpl.contentTagList";

	@RequestMapping(value = "/contentTag.jspx")
	public String index(HttpServletRequest request,
			HttpServletResponse response, ModelMap model) {
		CmsSite site = CmsUtils.getSite(request);
		// 将request中所有参数保存至model中。
		model.putAll(RequestUtils.getQueryParams(request));
		FrontUtils.frontData(request, model, site);
		FrontUtils.frontPageData(request, model);
		String tagStr = RequestUtils.getQueryParam(request, "tagStr");
		String count = RequestUtils.getQueryParam(request, "count");
		String contentId = RequestUtils.getQueryParam(request, "contentId");
		if (StringUtils.isBlank(tagStr) && StringUtils.isBlank(contentId) && StringUtils.isBlank(count)) {
			model.remove("tagStr");
			model.remove("contentId");
			model.remove("count");
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_CSI, CONTENT_TAG_LIST);
		} else {
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_CSI, CONTENT_TAG_LIST);
		}
	}
	
}
