package com.jeecms.cms.action.front;

import static com.jeecms.cms.Constants.TPLDIR_SPECIAL;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.jeecms.cms.entity.main.CmsSite;
import com.jeecms.cms.web.CmsUtils;
import com.jeecms.cms.web.FrontUtils;
import com.jeecms.common.web.RequestUtils;
/**
 * 便民服务
 * @author javacoo
 * @since 2012-2-3
 */
@Controller
public class ServiceAct {
	private static final Logger log = LoggerFactory.getLogger(ServiceAct.class);

	public static final String SERVICE_RESULT = "tpl.serviceResult";

	@RequestMapping(value = "/serviceAct.jspx", method = RequestMethod.GET)
	public String index(HttpServletRequest request,
			HttpServletResponse response, ModelMap model) {
		CmsSite site = CmsUtils.getSite(request);
		// 将request中所有参数保存至model中。
		model.putAll(RequestUtils.getQueryParams(request));
		FrontUtils.frontData(request, model, site);
		FrontUtils.frontPageData(request, model);
		String title = RequestUtils.getQueryParam(request, "title");
		String url = RequestUtils.getQueryParam(request, "url");
		if (StringUtils.isBlank(title) && StringUtils.isBlank(url)) {
			model.remove("title");
			model.remove("url");
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_SPECIAL, SERVICE_RESULT);
		} else {
			return FrontUtils.getTplPath(request, site.getSolutionPath(),
					TPLDIR_SPECIAL, SERVICE_RESULT);
		}
	}
}
