package com.jeecms.cms.dao.assist.impl;

import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

import com.jeecms.cms.dao.assist.CmsSchedulerDao;
import com.jeecms.cms.entity.assist.CmsScheduler;
import com.jeecms.common.hibernate3.Finder;
import com.jeecms.common.hibernate3.HibernateBaseDao;

@Repository
public class CmsSchedulerDaoImpl extends
		HibernateBaseDao<CmsScheduler, Integer> implements CmsSchedulerDao {
	@SuppressWarnings("unchecked")
	public List<CmsScheduler> getList() {
		Finder f = Finder.create("from CmsScheduler bean order by bean.id asc");
		return find(f);
	}
	@SuppressWarnings("unchecked")
	public List<CmsScheduler> getListBy(CmsScheduler bean) {
		Finder f = Finder.create("from CmsScheduler bean");
		if(StringUtils.isNotEmpty(bean.getModuleType()) && bean.getSite().getId() != null) {
			f.append(" where bean.moduleType=:moduleType and bean.site.id=:siteId");
			f.setParam("moduleType", bean.getModuleType());
			f.setParam("siteId", bean.getSite().getId());
		}
		f.append(" order by bean.id asc");
		return find(f);
	}

	public CmsScheduler findById(Integer id) {
		CmsScheduler entity = get(id);
		return entity;
	}

	public CmsScheduler save(CmsScheduler bean) {
		getSession().save(bean);
		return bean;
	}

	public CmsScheduler deleteById(Integer id) {
		CmsScheduler entity = super.get(id);
		if (entity != null) {
			getSession().delete(entity);
		}
		return entity;
	}

	@Override
	protected Class<CmsScheduler> getEntityClass() {
		return CmsScheduler.class;
	}
}