package com.jeecms.cms.manager.assist;

import java.util.List;
import java.util.Map;

import com.jeecms.cms.entity.assist.CmsAcquisition;
import com.jeecms.cms.entity.assist.CmsAcquisitionHistory;
import com.jeecms.cms.entity.assist.CmsAcquisitionTemp;
import com.jeecms.cms.entity.assist.CmsAcquisition.AcquisitionResultType;
import com.jeecms.cms.entity.main.CmsUser;
import com.jeecms.cms.entity.main.Content;

public interface CmsAcquisitionMng {
	public List<CmsAcquisition> getList(Integer siteId);

	public CmsAcquisition findById(Integer id);

	public void stop(Integer id);

	public void pause(Integer id);

	public CmsAcquisition start(Integer id);

	public void end(Integer id);

	public boolean isNeedBreak(Integer id, int currNum, int currItem,
			int totalItem);

	public CmsAcquisition save(CmsAcquisition bean, Integer channelId,
			Integer typeId, Integer userId, Integer siteId);

	public CmsAcquisition update(CmsAcquisition bean, Integer channelId,
			Integer typeId);

	public CmsAcquisition deleteById(Integer id);

	public CmsAcquisition[] deleteByIds(Integer[] ids);
	 /**
     * 保存 采集内容
     * @param title标题
     * @param txt 内容
     * @param txtList 分页内容集合
     * @param description 摘要
     * @param titleImg 标题图片
     * @param tagArr 标签集合
     * @param picPaths 图片集路径集合
     * @param imagesDesc 图片集描述集合
     * @param attachmentPaths 附件路径集合
     * @param attachmentNames 附件名称集合
     * @param attachmentFilenames 附件文件名集合
     * @param mediaPath 媒体文件路径
     * @param mediaType 媒体文件类型
     * @param attr 内容扩展字段MAP
     * @param user 用户
     * @param history 采集历史
     * @param resultType 结果类型
     * @param temp 采集临时记录
     * @param acquId 采集ID
     * @return
     */
	public Content saveContent(String title, String txt,List<String> txtList,String description,String titleImg,String[] tagArr,String[] picPaths,String[] imagesDesc, String[] attachmentPaths,
			String[] attachmentNames, String[] attachmentFilenames,String mediaPath,String mediaType,Map<String,String> attr,CmsUser user,
			CmsAcquisitionHistory history,AcquisitionResultType resultType, CmsAcquisitionTemp temp, Integer acquId);
//	public Content saveContent(String title, String txt, Integer acquId,
//			AcquisitionResultType resultType, CmsAcquisitionTemp temp,
//			CmsAcquisitionHistory history);

	public CmsAcquisition getStarted(Integer siteId);
	
	public Integer getMaxQueue(Integer siteId);

	public Integer hasStarted(Integer siteId);
	
	public void addToQueue(Integer[] ids, Integer queueNum);
	
	public void cancel(Integer siteId, Integer id);
	
	public List<CmsAcquisition> getLargerQueues(Integer siteId, Integer queueNum);
	
	public CmsAcquisition popAcquFromQueue(Integer siteId);
}