package com.jeecms.cms.manager.assist;

import java.util.List;

import com.jeecms.cms.entity.assist.CmsScheduler;
/**
 * 计划任务管理服务接口
 * @author javacoo
 * @since 2011-11-07
 * @version 1.0 
 */
public interface CmsSchedulerMng {
	/**
	 * 取得所有计划任务
	 * @return 所有计划任务
	 */
	List<CmsScheduler> getList();
	/**
	 * 取得指定站点，指定模块所有计划任务
	 * @param bean 计划任务bean
	 * @return 所有计划任务
	 */
	List<CmsScheduler> getListBy(CmsScheduler bean);
    /**
     * 根据ID取得计划任务
     * @param id
     * @return 计划任务
     */
	CmsScheduler findById(Integer id);
    /**
     * 停止指定的计划任务
     * @param id
     */
	void stop(Integer id);
	/**
     * 开始指定的计划任务
     * @param id
     */
	CmsScheduler start(Integer id);
	/**
     * 停止指定的计划任务
     * @param id
     */
	void end(Integer id);
    /**
     * 保存计划任务
     * @param bean
     * @return
     */
	CmsScheduler save(CmsScheduler bean);
	/**
     * 更新计划任务
     * @param bean
     * @return
     */
	CmsScheduler update(CmsScheduler bean);
	/**
     * 删除计划任务
     * @param bean
     * @return
     */
	CmsScheduler deleteById(Integer id);
	/**
     * 批量删除计划任务
     * @param bean
     * @return
     */
	CmsScheduler[] deleteByIds(Integer[] ids);
}