package com.jeecms.cms.service.scheduler;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jeecms.cms.entity.assist.CmsAcquisition;
import com.jeecms.cms.entity.assist.CmsScheduler;
import com.jeecms.cms.manager.assist.CmsAcquisitionMng;
import com.jeecms.cms.service.AcquisitionSvc;
/**
 * 计划任务接口-采集器实现类-多线程版
 * @author javacoo
 * @since 2011-11-02
 * @version 1.0 
 */
@Service
public class SchedulerAcquisitionSvcImpl extends AbstractSchedulerTaskSvc {
	private Logger log = LoggerFactory.getLogger(SchedulerAcquisitionSvcImpl.class);
	/**采集管理对象*/
	private CmsAcquisitionMng cmsAcquisitionMng;
	/**采集服务对象*/
	private AcquisitionSvc acquisitionSvc;
	
	@Autowired
	public void setCmsAcquisitionMng(CmsAcquisitionMng cmsAcquisitionMng) {
		this.cmsAcquisitionMng = cmsAcquisitionMng;
	}
	@Autowired
	public void setAcquisitionSvc(AcquisitionSvc acquisitionSvc) {
		this.acquisitionSvc = acquisitionSvc;
	}
	@Override
	protected boolean execute(CmsScheduler scheduler) {
		return acquisitionSvc.start(scheduler.getAssociateId());
	}
	 /**
	 * 取得关联任务map
	 * @return 关联任务map
	 */
	public List<SchedulerTaskBean> associateTaskList(CmsScheduler scheduler){
		List<CmsAcquisition> list = cmsAcquisitionMng.getList(scheduler.getSite().getId());
		List<SchedulerTaskBean> resultList = new ArrayList<SchedulerTaskBean>();
		SchedulerTaskBean schedulerTaskBean = null;
		for(CmsAcquisition acquisition : list){
			schedulerTaskBean = new SchedulerTaskBean();
			schedulerTaskBean.setId(acquisition.getId());
			schedulerTaskBean.setName(acquisition.getName());
			resultList.add(schedulerTaskBean);
		}
		return resultList;
	}
	
	

	
	
	
}
