package org.javacoo.crawler.data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 采集内容值对象
 * @author javacoo
 * @since 2011-11-8
 */
public class ContentBean {
	/**采集任务ID*/
	private Integer acquId;
	/**标题*/
	private String title;
	/**内容*/
	private String content;
	/**分页内容集合*/
	private List<String> contentList = new ArrayList<String>();
	/**摘要*/
	private String brief;
	/**标题图片*/
	private String titleImg;
	/**资源地址MAP：KEY为新资源地址，value为源资源地址*/
	//private  Map<String,String> resMap = new HashMap<String, String>();
	/**资源MAP：KEY为资源类型，value为源资地址对照MAP(KEY为新资源地址，value为源资源地址)*/
	private Map<String,Object> resMap = new HashMap<String, Object>();
	/**字段对应值Map*/
	private Map<String,List<String>> fieldValueMap = new HashMap<String, List<String>>();
	
	public ContentBean() {
		super();
	}
	public ContentBean(String title, String content, Integer acquId) {
		super();
		this.title = title;
		this.content = content;
		this.acquId = acquId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public Integer getAcquId() {
		return acquId;
	}
	public void setAcquId(Integer acquId) {
		this.acquId = acquId;
	}
	public String getBrief() {
		return brief;
	}
	public void setBrief(String brief) {
		this.brief = brief;
	}
	public Map<String, Object> getResMap() {
		return resMap;
	}
	public void setResMap(Map<String, Object> resMap) {
		this.resMap = resMap;
	}
	public String getTitleImg() {
		return titleImg;
	}
	public void setTitleImg(String titleImg) {
		this.titleImg = titleImg;
	}
	public Map<String, List<String>> getFieldValueMap() {
		return fieldValueMap;
	}
	public void setFieldValueMap(Map<String, List<String>> fieldValueMap) {
		this.fieldValueMap = fieldValueMap;
	}
	public List<String> getContentList() {
		return contentList;
	}
	public void setContentList(List<String> contentList) {
		this.contentList = contentList;
	}
	
	
	

}
