package org.javacoo.crawler.data;


import org.javacoo.crawler.CrawlController;
import org.javacoo.crawler.processor.Processor;
import org.javacoo.crawler.processor.ProcessorChain;


/**
 * 任务
 * @author javacoo
 * @since 2011-11-09
 */
public class Task {
	/**任务来源URL*/
	private String parentUrl;
	/**任务URL*/
	private String url;
	/**当前任务总数:用于采集监控*/
	private Integer currTaskTotalNum;
	/**所属计划编号:用于采集监控*/
	private Integer planNum;
	/**任务编号:用于采集监控*/
	private Integer taskNum;
	/**是否完成*/
	private boolean finished;
	/**原始HTML*/
	private String orginHtml;
	/**采集内容值对象*/
	private transient ContentBean contentBean = new ContentBean();
	/**下一个处理器*/
	private transient Processor nextProcessor;
	/**下一个处理器链*/
	private transient ProcessorChain nextProcessorChain;
	/**爬虫控制器*/
	private CrawlController controller;

	public Processor getNextProcessor() {
		return nextProcessor;
	}

	public void setNextProcessor(Processor nextProcessor) {
		this.nextProcessor = nextProcessor;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public boolean isFinished() {
		return finished;
	}

	public void setFinished(boolean finished) {
		this.finished = finished;
	}

	public ProcessorChain getNextProcessorChain() {
		return nextProcessorChain;
	}

	public void setNextProcessorChain(ProcessorChain nextProcessorChain) {
		this.nextProcessorChain = nextProcessorChain;
	}

	public CrawlController getController() {
		return controller;
	}

	public void setController(CrawlController controller) {
		this.controller = controller;
	}

	public String getOrginHtml() {
		return orginHtml;
	}

	public void setOrginHtml(String orginHtml) {
		this.orginHtml = orginHtml;
	}

	public ContentBean getContentBean() {
		return contentBean;
	}

	public void setContentBean(ContentBean contentBean) {
		this.contentBean = contentBean;
	}

	public String getParentUrl() {
		return parentUrl;
	}

	public void setParentUrl(String parentUrl) {
		this.parentUrl = parentUrl;
	}

	public Integer getPlanNum() {
		return planNum;
	}

	public void setPlanNum(Integer planNum) {
		this.planNum = planNum;
	}

	public Integer getTaskNum() {
		return taskNum;
	}

	public void setTaskNum(Integer taskNum) {
		this.taskNum = taskNum;
	}

	public Integer getCurrTaskTotalNum() {
		return currTaskTotalNum;
	}

	public void setCurrTaskTotalNum(Integer currTaskTotalNum) {
		this.currTaskTotalNum = currTaskTotalNum;
	}
	
	

}
