package org.javacoo.crawler.filter;
import org.javacoo.crawler.constants.Constants;

/**
 * 过滤器接口实现类-摘要区域过滤
 * @author javacoo
 * @since 2011-12-19
 */
public class BriefAreaFilter extends AbstractFilter{
	public BriefAreaFilter(){
		super();
	}
	/**
	 * <li>约定采集参数格式如下</li>
	 * <li>1，标签属性/值形式，如：class=articleList|tips,id=fxwb|fxMSN|fxMSN</li>
	 * <li>2，标签名称形式，如：div,p,span</li>
	 * <li>3，混合形式，如：class=articleList|tips,id=fxwb|fxMSN|fxMSN,div,p,span</li>
	 * @param fethAreaTagStr 要采集的区域标签字符串
	 * @param filterAreaTagStr 要过滤的区域标签字符串
	 */
	public BriefAreaFilter(String fethAreaTagStr, String filterAreaTagStr){
		super(fethAreaTagStr,filterAreaTagStr);
	}
	public void initialize() {
		this.filterName = Constants.FILTER_NAME_BRIEF_AREA;
	}
}
