package org.javacoo.crawler.filter;

import java.util.Map;
/**
 * 过滤器接口
 * @author javacoo
 * @since 2011-11-10
 */
public interface Filter {
	/**
	 * 取得当前过滤器名称
	 * @return 过滤器名称
	 */
	String getFilterName();
	/**取得当前字段名称
	 * @return 当前字段名称
	 */
	String getFieldName();
	/**
	 * 取得当前过滤器内容
	 * @return 过滤器内容
	 */
	Map<String,String> getFilter();
	/**
	 * 设置过滤器
	 * <li>约定采集参数格式如下</li>
	 * <li>1，标签属性/值形式，如：class=articleList|tips,id=fxwb|fxMSN|fxMSN</li>
	 * <li>2，标签名称形式，如：div,p,span</li>
	 * <li>3，混合形式，如：class=articleList|tips,id=fxwb|fxMSN|fxMSN,div,p,span</li>
	 * @param fethAreaTagStr 要采集的区域标签字符串参数
	 * @param filterAreaTagStr 要过滤的区域标签字符串参数
	 */
	void setFilter(String fethAreaTagStr,String filterAreaTagStr);
}
